Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.world.gen.structure
Class StructureBoundingBox

    java.lang.Object
      net.minecraft.world.gen.structure.StructureBoundingBox

    public class StructureBoundingBox

extends Object

Field Summary
`int` | `maxX` The second x coordinate of a bounding box.
`int` | `maxY` The second y coordinate of a bounding box.
`int` | `maxZ` The second z coordinate of a bounding box.
`int` | `minX` The first x coordinate of a bounding box.
`int` | `minY` The first y coordinate of a bounding box.
`int` | `minZ` The first z coordinate of a bounding box.

Constructor Summary
`StructureBoundingBox()`
`StructureBoundingBox(int par1, int par2, int par3, int par4)`
`StructureBoundingBox(int par1, int par2, int par3, int par4, int par5, int par6)`
`StructureBoundingBox(StructureBoundingBox par1StructureBoundingBox)`

Method Summary
`void` | `expandTo(StructureBoundingBox par1StructureBoundingBox)` Expands a bounding box's dimensions to include the supplied bounding box.
`int` | `getCenterX()`
`int` | `getCenterY()`
`int` | `getCenterZ()`
`static StructureBoundingBox` | `getComponentToAddBoundingBox(int par0, int par1, int par2, int par3, int par4, int par5, int par6, int par7, int par8, int par9)` used to project a possible new component Bounding Box - to check if it would cut anything already spawned
`static StructureBoundingBox` | `getNewBoundingBox()` returns a new StructureBoundingBox with MAX values
`int` | `getXSize()` Returns width of a bounding box
`int` | `getYSize()` Returns height of a bounding box
`int` | `getZSize()` Returns length of a bounding box
`boolean` | `intersectsWith(int par1, int par2, int par3, int par4)` Discover if a coordinate is inside the bounding box area.
`boolean` | `intersectsWith(StructureBoundingBox par1StructureBoundingBox)` Returns whether the given bounding box intersects with this one.
`boolean` | `isVecInside(int par1, int par2, int par3)` Returns true if block is inside bounding box
`void` | `offset(int par1, int par2, int par3)` Offsets the current bounding box by the specified coordinates.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### minX

    public int minX

  The first x coordinate of a bounding box.

### minY

    public int minY

  The first y coordinate of a bounding box.

### minZ

    public int minZ

  The first z coordinate of a bounding box.

### maxX

    public int maxX

  The second x coordinate of a bounding box.

### maxY

    public int maxY

  The second y coordinate of a bounding box.

### maxZ

    public int maxZ

  The second z coordinate of a bounding box.

Constructor Detail

### StructureBoundingBox

    public StructureBoundingBox()

### StructureBoundingBox

    public StructureBoundingBox(StructureBoundingBox par1StructureBoundingBox)

### StructureBoundingBox

    public StructureBoundingBox(int par1,
                                int par2,
                                int par3,
                                int par4,
                                int par5,
                                int par6)

### StructureBoundingBox

    public StructureBoundingBox(int par1,
                                int par2,
                                int par3,
                                int par4)

Method Detail

### getNewBoundingBox

    public static StructureBoundingBox getNewBoundingBox()

  returns a new StructureBoundingBox with MAX values

### getComponentToAddBoundingBox

    public static StructureBoundingBox getComponentToAddBoundingBox(int par0,
                                                                    int par1,
                                                                    int par2,
                                                                    int par3,
                                                                    int par4,
                                                                    int par5,
                                                                    int par6,
                                                                    int par7,
                                                                    int par8,
                                                                    int par9)

  used to project a possible new component Bounding Box - to check if it would cut anything already spawned

### intersectsWith

    public boolean intersectsWith(StructureBoundingBox par1StructureBoundingBox)

  Returns whether the given bounding box intersects with this one. Args: structureboundingbox

### intersectsWith

    public boolean intersectsWith(int par1,
                                  int par2,
                                  int par3,
                                  int par4)

  Discover if a coordinate is inside the bounding box area.

### expandTo

    public void expandTo(StructureBoundingBox par1StructureBoundingBox)

  Expands a bounding box's dimensions to include the supplied bounding box.

### offset

    public void offset(int par1,
                       int par2,
                       int par3)

  Offsets the current bounding box by the specified coordinates. Args: x, y, z

### isVecInside

    public boolean isVecInside(int par1,
                               int par2,
                               int par3)

  Returns true if block is inside bounding box

### getXSize

    public int getXSize()

  Returns width of a bounding box

### getYSize

    public int getYSize()

  Returns height of a bounding box

### getZSize

    public int getZSize()

  Returns length of a bounding box

### getCenterX

    public int getCenterX()

### getCenterY

    public int getCenterY()

### getCenterZ

    public int getCenterZ()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD